%define api       0.4
%define major     0
%define libname   %mklibname orc %{api} %{major}
%define develname %mklibname orc -d

Summary:        The Oil Runtime Compiler
Name:           orc
Version:        0.4.40
Release:        %mkrel 1
License:        BSD
Group:          Development/Other
Url:            https://cgit.freedesktop.org/gstreamer/orc/
Source0:        https://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz
Patch0:         orc_edsp_armv6_mix.patch
BuildRequires:  meson
BuildRequires:  gtk-doc

%description
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%package -n     %{libname}
Summary:        The Oil Runtime Compiler
Group:          System/Libraries

%description -n %{libname}
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%package -n     %{develname}
Summary:        The Oil Runtime Compiler
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name}%{?_isa} >= %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data. The "language" is a generic assembly
language that represents many of the features available in SIMD architectures,
including saturated addition and subtraction, and many arithmetic operations.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%ifarch x86_64
%check
%meson_test
%endif

%install
%meson_install

%files
%doc README
%{_bindir}/orcc
%{_bindir}/orc-bugreport

%files -n %{libname}
%{_libdir}/liborc-%{api}.so.%{major}{,.*}
%{_libdir}/liborc-test-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/orc/
%{_includedir}/orc-%{api}/
%{_libdir}/liborc-%{api}.so
%{_libdir}/liborc-test-%{api}.so
%{_libdir}/pkgconfig/orc-%{api}.pc
%{_libdir}/pkgconfig/orc-test-%{api}.pc


%changelog
* Fri Sep 20 2024 daviddavid <daviddavid> 0.4.40-1.mga10
+ Revision: 2099252
- new version: 0.4.40

* Sat Aug 31 2024 mrambo3501 <mrambo3501> 0.4.39-1.mga10
+ Revision: 2092429
- version 0.4.39
- fix files list

* Tue Mar 05 2024 daviddavid <daviddavid> 0.4.38-1.mga10
+ Revision: 2047615
- new version: 0.4.38

* Mon Jan 29 2024 wally <wally> 0.4.36-1.mga10
+ Revision: 2036101
- disable tests on i586 as they're failing on BS, but not on real HWW
- new version 0.4.36

* Sun Oct 29 2023 daviddavid <daviddavid> 0.4.34-1.mga10
+ Revision: 2002584
- new version: 0.4.34

* Mon Nov 14 2022 daviddavid <daviddavid> 0.4.33-1.mga9
+ Revision: 1907136
- new version: 0.4.33

* Tue Mar 15 2022 umeabot <umeabot> 0.4.32-2.mga9
+ Revision: 1792919
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 daviddavid <daviddavid> 0.4.32-1.mga8
+ Revision: 1638045
- new version: 0.4.32

* Sat Feb 22 2020 pterjan <pterjan> 0.4.31-4.mga8
+ Revision: 1549447
- Restrict to intended archs :(
- Restrict archs able to run the tests

* Mon Feb 17 2020 umeabot <umeabot> 0.4.31-2.mga8
+ Revision: 1537776
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 daviddavid <daviddavid> 0.4.31-1.mga8
+ Revision: 1459005
- new version: 0.4.31

* Fri Sep 13 2019 daviddavid <daviddavid> 0.4.30-1.mga8
+ Revision: 1440182
- new version: 0.4.30
- switch to meson build system
- remove old and no merged upstream patches

* Fri Apr 19 2019 luigiwalser <luigiwalser> 0.4.29-1.mga7
+ Revision: 1393644
- 0.4.29
- rediff patches 1 and 2

* Sun Sep 23 2018 umeabot <umeabot> 0.4.28-2.mga7
+ Revision: 1300060
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make check

* Sat Dec 16 2017 wally <wally> 0.4.28-1.mga7
+ Revision: 1182836
- new version 0.4.28
- rediff P2

* Wed Sep 27 2017 tv <tv> 0.4.27-2.mga7
+ Revision: 1160136
- provides orc-devel

* Wed Jul 26 2017 wally <wally> 0.4.27-1.mga7
+ Revision: 1131274
- new version 0.4.27

* Wed Sep 07 2016 luigiwalser <luigiwalser> 0.4.26-1.mga6
+ Revision: 1050396
- 0.4.26
- remove upstreamed patch 3

* Wed May 04 2016 pterjan <pterjan> 0.4.25-3.mga6
+ Revision: 1009214
- Fix test to pass when there is no executable backend

* Fri Mar 11 2016 blino <blino> 0.4.25-2.mga6
+ Revision: 988882
- do not run tests on armv5tl: no executable backend is built on ARMv5 (ARM disabled upstream, NEON not suitable)

* Mon Mar 07 2016 wally <wally> 0.4.25-1.mga6
+ Revision: 987202
- new version 0.4.25
- drop patches from upstream
- drop .la files
- tag docs as such

* Fri Feb 12 2016 umeabot <umeabot> 0.4.24-3.mga6
+ Revision: 956580
- Mageia 6 Mass Rebuild

* Wed Sep 23 2015 blino <blino> 0.4.24-2.mga6
+ Revision: 882520
- add upstream patches to fix tests
- re-enable test-limits, it succeeds now
- 0.4.24

* Sat Jun 20 2015 luigiwalser <luigiwalser> 0.4.23-1.mga6
+ Revision: 836923
- 0.4.23
- rediff patch 2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.22-3.mga5
+ Revision: 741379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.22-2.mga5
+ Revision: 683271
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 0.4.22-1.mga5
+ Revision: 670083
- disable failing test
- 0.4.22
- 0.4.21
- rediff patch 2

* Sat Apr 19 2014 fwang <fwang> 0.4.19-1.mga5
+ Revision: 616978
- 0.4.19

* Sat Oct 19 2013 umeabot <umeabot> 0.4.18-2.mga4
+ Revision: 533236
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 0.4.18-1.mga4
+ Revision: 472335
- 0.4.18

* Sun Jun 23 2013 luigiwalser <luigiwalser> 0.4.17-1.mga4
+ Revision: 445879
- 0.4.17
- add patches from fedora to fix upstream bugs (fdo#41446)

* Sun Jan 13 2013 umeabot <umeabot> 0.4.16-3.mga3
+ Revision: 362195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 rtp <rtp> 0.4.16-2.mga3
+ Revision: 335673
- resurrect edsp patch

* Sat Oct 15 2011 eandry <eandry> 0.4.16-1.mga2
+ Revision: 155389
- update files list
- New version 0.4.16

* Tue Sep 06 2011 tv <tv> 0.4.14-1.mga2
+ Revision: 139417
- drop patch 0 & 1
- new release
+ rtp <rtp>
- fix configure arm check
- disable orc opcodes calling armv6 when using armv5te edsp
- enable check
+ pterjan <pterjan>
- imported package orc


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.4.11-1mdv2011.0
+ Revision: 591448
- update to new version 0.4.11

* Mon Oct 18 2010 Götz Waschk <waschk@mandriva.org> 0.4.10-1mdv2011.0
+ Revision: 586586
- new version
- update file list

* Tue Sep 07 2010 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdv2011.0
+ Revision: 576476
- update to new version 0.4.9

* Fri Sep 03 2010 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdv2011.0
+ Revision: 575667
- update to new version 0.4.8

* Sat Aug 21 2010 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdv2011.0
+ Revision: 571687
- update to new version 0.4.7

* Wed Jul 14 2010 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdv2011.0
+ Revision: 553395
- new version
- add orc-bugreport tool

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 550278
- update to new version 0.4.5

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.4.4-2mdv2010.1
+ Revision: 540039
- rebuild so that shared libraries are properly stripped again

* Fri Apr 23 2010 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 538139
- new version
- drop patch

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 517309
- import orc


